﻿using System;
using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Graphics;

namespace Dronken_Kerstman
{
    public class Beer : Sprite
    {
        public Beer(Texture2D texture)
        {
            this.tex = texture;
            this.pos = newPos(tex.Width, tex.Height);
        }

        public static Vector2 newPos(int w, int h)
        {
            Random ran = new Random(Guid.NewGuid().GetHashCode());
            int x = Game.boardX + ran.Next(0, Game.boardWidth - w);
            int y = Game.boardY + ran.Next(0, Game.boardHeight - h);

            return new Vector2(x, y);
        }

        public static bool intersects(Sprite beer, Santa s)
        {
            return (beer.pos.X + beer.tex.Width > s.pos.X &&
                beer.pos.X < s.pos.X + s.tex.Width / 3 &&
                beer.pos.Y + beer.tex.Height > s.pos.Y &&
                beer.pos.Y < s.pos.Y + s.tex.Height);
        }
    }
}
